### Signal

# Gtk.SpinButton::input

#### Declaration

    gint
    input (
      GtkSpinButton self,
      double new_value,
      gpointer user_data
    )

#### Description [src]

Emitted to convert the users input into a double value.

The signal handler is expected to use `gtk_editable_get_text()` to retrieve the text of the spinbutton and set `new_value` to the new value.

The default conversion uses `g_strtod()`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`

#### Parameters

`new_value` | `double`
| return location for the new value
| Direction: out

#### Return value

Returns: `gint`
`TRUE` for a successful conversion, `FALSE` if the input was not handled, and `GTK_INPUT_ERROR` if the conversion failed.